Subject: bug#59961: [PATCH] ; * lib-src/emacsclient.c: Add parameters option information.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Jan 2024 12:28:36 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 10 Jan 2024 14:35:00 -0800
> Cc: lux <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: lux <[email-masked]>
> >> Cc: [email-masked]
> >> Date: Sun, 15 Jan 2023 18:16:43 +0800
> >>
> >> lux <[email-masked]> writes:
> >>
> >> > On Sun, 11 Dec 2022 12:26:16 +0200
> >> > Eli Zaretskii <[email-masked]> wrote:
> >> >
> >> >> The --help message already says that.  Why do we need that in an error
> >> >> message as well?
> >> >
> >> > Because when I forgot `server-start`, the information given was not
> >> > intuitive enough, and I needed to use `--help` again. And these three
> >> > parameters themselves need to provide value, so adding them will be
> >> > more intuitive. Thanks.
> >>
> >> Hi, this question seems to be forgotten?
> >
> > No, not forgotten.  I just don't think we should make this change, as
> > the text says which features/options to use, not how to use them.
> 
> What's the drawback to being a bit more helpful though?

The message becomes longer.  And it only added the info to the
command-line options, but not to the corresponding environment
variables.  Finally, the meaning of SOCKET and SERVER are never
explained.

So it simply sounded to me like a personal issue that is not
necessarily relevant to everyone else.